# Organization API: Customer Portal: Vps

> The 10 Organization API operations for vps.

Source: https://docs.coritan.com/api/reference/organizations/customer-portal/vps/

Part of [Customer Portal](/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid) | Get instance |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/bandwidth`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-bandwidth) | Get bandwidth |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/console`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-console) | Console info |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/credentials`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-credentials) | Credentials |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/graphs`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-graphs) | Get graphs |
| PATCH | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/hostname`](#op-patch-api-v1-orgs-org-slug-portal-vps-uuid-hostname) | Patch hostname |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/ips`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-ips) | List IPs |
| POST | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/power`](#op-post-api-v1-orgs-org-slug-portal-vps-uuid-power) | Power |
| POST | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/reset-password`](#op-post-api-v1-orgs-org-slug-portal-vps-uuid-reset-password) | Reset password |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/status`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-status) | Get status |

### Get instance {#op-get-api-v1-orgs-org-slug-portal-vps-uuid}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Get bandwidth {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-bandwidth}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/bandwidth`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Console info {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-console}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/console`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Credentials {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-credentials}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/credentials`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Get graphs {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-graphs}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/graphs`

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `uuid` | path | string | yes |  |
| `org_slug` | path | string | yes |  |
| `timeframe` | query | string | no | Default: `hour`. |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Patch hostname {#op-patch-api-v1-orgs-org-slug-portal-vps-uuid-hostname}

`PATCH /api/v1/orgs/{org_slug}/portal/vps/{uuid}/hostname`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `hostname` | string | yes |
| `reboot` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### List IPs {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-ips}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/ips`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Power {#op-post-api-v1-orgs-org-slug-portal-vps-uuid-power}

`POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/power`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `action` | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Reset password {#op-post-api-v1-orgs-org-slug-portal-vps-uuid-reset-password}

`POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/reset-password`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Get status {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-status}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/status`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
